[Zebralist] installing zebra package on debian etch on an amd64 system

Walter McGinnis walter at katipo.co.nz
Thu Jan 18 23:09:40 CET 2007


On Jan 12, 2007, at 11:36 AM, Walter McGinnis wrote:

> Ah, but it all goes south because of one little dependency issue.   
> I use the Perl ZOOM api stuff that you can grab with this:
>
> sudo apt-get install libnet-z3950-perl
>
> However, it requires the libyaz2 package which will promptly  
> uninstall what I just installed via dpkg!  I've got some ideas to  
> work around this, but if you something occurs to you before I  
> respond, feel free to let me know.

An addendum to my last comment on how to install Yaz and Zebra on  
amd64; DO NOT INSTALL THE libnet-z3950-perl package!

This will uninstall the packages you just built from source because  
of a dependency.  Instead, use perl's cpan to install Net::Z3950::ZOOM.

Now I'm all good to go.

Cheers,
Walter





More information about the Zebralist mailing list